import { MutableRefObject } from 'react';
import { PersonaMessage } from '../../../api';
export interface ClientStateMachineContextType {
    isClientReady: boolean;
    isTranscript: boolean;
    setIsTranscript: (isTranscript: boolean) => void;
    isAudio: boolean;
    isMicrophone: boolean;
    isConversationEnded: boolean;
    setIsConversationEnded: (isConversationEnded: boolean) => void;
    isArcReady: boolean;
    setIsArcReady: (isArcReady: boolean) => void;
    isChatReady: boolean;
    setIsChatReady: (isChatReady: boolean) => void;
    isInteractible: boolean;
    setIsInteractible: (isInteractible: boolean) => void;
    disableMicrophone: () => void;
    enableMicrophone: () => void;
    disableAudio: () => void;
    enableAudio: () => void;
    isAudioBeingHandled: boolean;
    setIsAudioBeingHandled: (isAudioBeingHandled: boolean) => void;
    isAudioBeingReceived: boolean;
    setIsAudioBeingReceived: (isAudioBeingReceived: boolean) => void;
    shouldClientSendIntro: boolean;
    setShouldClientSendIntro: (shouldClientSendIntro: boolean) => void;
    isUnityLoaded: boolean;
    setIsUnityLoaded: (isUnityLoaded: boolean) => void;
    mode: string;
    setMode: (mode: string) => void;
    modeEnum: Record<string, string>;
    isSceneLoaded: boolean;
    setIsSceneLoaded: (isSceneLoaded: boolean) => void;
    persona?: PersonaMessage;
    setPersona: (persona: PersonaMessage) => void;
    isAudioBeingHandledRef?: MutableRefObject<boolean>;
}
declare const ClientStateMachineContext: import('react').Context<ClientStateMachineContextType>;
export default ClientStateMachineContext;
