import { SendMessage } from '../../use-web-socket';
import { RawMessageType } from './raw-message-output-tab';
export type ArcSourceAssetType = {
    item: {
        name: string;
        ref: string;
        revision: number;
    };
};
export declare enum ArcObject {
    AudioManager = "AudioManager",
    PersonaManager = "PersonaManager"
}
export declare enum ArcEvent {
    MessageReceived = "onMessageReceived",
    SetPersona = "setPersona"
}
export declare enum ArcMessage {
    AudioEnded = "audioEnded",
    AudioStarted = "audioStarted",
    SceneLoaded = "sceneLoaded",
    AvatarLoaded = "avatarLoaded",
    AssetsFetchRequired = "assetsFetchRequired",
    AssetsFetchFinished = "assetsFetchFinished",
    AssetsFetchFailed = "assetsFetchFailed",
    PlayAudio = "playAudio",
    TurnEnd = "turnEnd",
    TurnEnded = "turnEnded",
    AudioEnd = "audioEnd",
    ReceiveBinaryData = "receiveBinaryData"
}
export type ChatPageProps = {
    sendMessage: SendMessage;
    messages: RawMessageType[];
    lastMessage: string;
    analyzerData: {
        dataArray: Uint8Array;
        bufferLength: number;
        analyzer: AnalyserNode | null;
    };
    applicationValue: string;
    arcRepositoryUrl: string;
    arcVersion: string;
    style?: React.CSSProperties;
};
export type EngineProps = {
    engineUrl: string;
    applicationValue: string;
    sttSampleRate?: number;
    outputMedia?: string;
    locale?: string;
};
export type ArcTabsProps = {
    qrCode: string | null;
    onCloseRef: React.MutableRefObject<() => void>;
    onOpenRef: React.MutableRefObject<() => void>;
    engineProps: EngineProps;
};
